%define pkg_name        HTTP-Cache-Transparent
%define pkg_version     0.7
%define rpm_pkg_version 0.7
%define rpm_pkg_release 1.n0i.1

Summary:       Cache the result of http-gets persistently
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MA/MATTIASH/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP)


%description
An implementation of http get that keeps a local cache of fetched pages
to avoid fetching the same data from the server if it hasn't been updated.
The cache is stored on disk and is thus persistent between invocations.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 0.7-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.7
